net.sourceforge.pmd.renderers

## Class SummaryHTMLRenderer

- java.lang.Object
- - net.sourceforge.pmd.AbstractPropertySource
  - - net.sourceforge.pmd.renderers.AbstractRenderer
    - - net.sourceforge.pmd.renderers.AbstractAccumulatingRenderer
      - - net.sourceforge.pmd.renderers.SummaryHTMLRenderer

- All Implemented Interfaces:
    PropertySource, Renderer

      public class SummaryHTMLRenderer
      extends AbstractAccumulatingRenderer

  Renderer to a summarized HTML format.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

    - ### Fields inherited from class net.sourceforge.pmd.renderers.AbstractAccumulatingRenderer

      `report`

    - ### Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

      `description, name, propertyDefinitions, showSuppressedViolations, writer`

    - ### Fields inherited from class net.sourceforge.pmd.AbstractPropertySource

      `propertyDescriptors, propertyValuesByDescriptor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SummaryHTMLRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `defaultFileExtension()` Return the default filename extension to use.
    `void` | `end()` Subclasses should output the `AbstractAccumulatingRenderer.report`.
    `void` | `renderSummary()` Write a Summary HTML table.

    - ### Methods inherited from class net.sourceforge.pmd.renderers.AbstractAccumulatingRenderer

      `renderFileReport, start, startFileAnalysis`

    - ### Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

      `defineProperty, flush, getDescription, getName, getPropertyDefinitions, getWriter, isShowSuppressedViolations, setDescription, setName, setShowSuppressedViolations, setWriter`

    - ### Methods inherited from class net.sourceforge.pmd.AbstractPropertySource

      `copyPropertyDescriptors, copyPropertyValues, definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.PropertySource

      `definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SummaryHTMLRenderer

          public SummaryHTMLRenderer()

  - ### Method Detail

    - #### defaultFileExtension

          public String defaultFileExtension()

      Description copied from interface: `Renderer`
      Return the default filename extension to use.
      Returns:
        String

    - #### end

          public void end()
                   throws IOException

      Subclasses should output the `AbstractAccumulatingRenderer.report`. This method is at the very end of the Rendering process, after `Renderer.renderFileReport(Report)`.
      Specified by:
        `end` in interface `Renderer`
      Specified by:
        `end` in class `AbstractAccumulatingRenderer`
      Throws:
        `IOException`

    - #### renderSummary

          public void renderSummary()
                             throws IOException

      Write a Summary HTML table.
      Throws:
        `IOException`

Copyright © 2002-2013 InfoEther. All Rights Reserved.